Scan TasksList scan tasks
Scan Tasks

List scan tasks

Returns a list of all scan tasks.

curl -X GET "https://api.neostra.io/api/v1/scan-tasks" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
GET
/api/v1/scan-tasks
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any